ServiceDesc (Axis API)
Keywords: org.apache.axis.description.ServiceDesc interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.description
Interface ServiceDesc

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  JavaServiceDesc

public interface ServiceDesc
extends java.io.Serializable

Method Summary
`void` | `addOperationDesc(OperationDesc operation)`
`java.util.List` | `getAllowedMethods()`
`java.lang.String` | `getDefaultNamespace()`
`java.util.List` | `getDisallowedMethods()`
`java.lang.String` | `getDocumentation()` get the documentation for the service
`java.lang.String` | `getEndpointURL()`
`java.lang.String` | `getName()` the name of the service
`OperationDesc` | `getOperationByElementQName(QName qname)` Map an XML QName to an operation.
`OperationDesc` | `getOperationByName(java.lang.String methodName)` Return an operation matching the given method name.
`java.util.ArrayList` | `getOperations()` get all the operations as a list of OperationDescs.
`OperationDesc[]` | `getOperationsByName(java.lang.String methodName)` get all overloaded operations by name
`OperationDesc[]` | `getOperationsByQName(QName qname)` Return all operations which match this QName (i.e.
`java.lang.Object` | `getProperty(java.lang.String name)`
`Style` | `getStyle()` What kind of service is this?
`TypeMapping` | `getTypeMapping()`
`TypeMappingRegistry` | `getTypeMappingRegistry()`
`Use` | `getUse()` What kind of use is this?
`java.lang.String` | `getWSDLFile()` the wsdl file of the service.
`boolean` | `isInitialized()`
`boolean` | `isWrapped()` Determine whether or not this is a "wrapped" invocation, i.e.
`void` | `removeOperationDesc(OperationDesc operation)`
`void` | `setAllowedMethods(java.util.List allowedMethods)`
`void` | `setDefaultNamespace(java.lang.String namespace)`
`void` | `setDisallowedMethods(java.util.List disallowedMethods)`
`void` | `setDocumentation(java.lang.String documentation)` set the documentation for the service
`void` | `setEndpointURL(java.lang.String endpointURL)`
`void` | `setName(java.lang.String name)` the name of the service
`void` | `setNamespaceMappings(java.util.List namespaces)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`
`void` | `setStyle(Style style)`
`void` | `setTypeMapping(TypeMapping tm)`
`void` | `setTypeMappingRegistry(TypeMappingRegistry tmr)`
`void` | `setUse(Use use)`
`void` | `setWSDLFile(java.lang.String wsdlFileName)` set the wsdl file of the service; this causes the named file to be returned on a ?wsdl, probe, not introspection generated wsdl.

Method Detail

### getStyle

    public Style getStyle()

  What kind of service is this?

  Returns:

### setStyle

    public void setStyle(Style style)

### getUse

    public Use getUse()

  What kind of use is this?

  Returns:

### setUse

    public void setUse(Use use)

### getWSDLFile

    public java.lang.String getWSDLFile()

  the wsdl file of the service. When null, it means that the wsdl should be autogenerated

  Returns:
    filename or null

### setWSDLFile

    public void setWSDLFile(java.lang.String wsdlFileName)

  set the wsdl file of the service; this causes the named file to be returned on a ?wsdl, probe, not introspection generated wsdl.

  Parameters:
    `wsdlFileName` - filename or null to re-enable introspection

### getAllowedMethods

    public java.util.List getAllowedMethods()

### setAllowedMethods

    public void setAllowedMethods(java.util.List allowedMethods)

### getTypeMapping

    public TypeMapping getTypeMapping()

### setTypeMapping

    public void setTypeMapping(TypeMapping tm)

### getName

    public java.lang.String getName()

  the name of the service

### setName

    public void setName(java.lang.String name)

  the name of the service

  Parameters:
    `name` -

### getDocumentation

    public java.lang.String getDocumentation()

  get the documentation for the service

### setDocumentation

    public void setDocumentation(java.lang.String documentation)

  set the documentation for the service

### removeOperationDesc

    public void removeOperationDesc(OperationDesc operation)

### addOperationDesc

    public void addOperationDesc(OperationDesc operation)

### getOperations

    public java.util.ArrayList getOperations()

  get all the operations as a list of OperationDescs. this method triggers an evaluation of the valid operations by introspection, so use sparingly

  Returns:
    reference to the operations array. This is not a copy

### getOperationsByName

    public OperationDesc[] getOperationsByName(java.lang.String methodName)

  get all overloaded operations by name

  Parameters:
    `methodName` -
  Returns:
    null for no match, or an array of OperationDesc objects

### getOperationByName

    public OperationDesc getOperationByName(java.lang.String methodName)

  Return an operation matching the given method name. Note that if we have multiple overloads for this method, we will return the first one.

  Returns:
    null for no match

### getOperationByElementQName

    public OperationDesc getOperationByElementQName(QName qname)

  Map an XML QName to an operation. Returns the first one it finds in the case of mulitple matches.

  Returns:
    null for no match

### getOperationsByQName

    public OperationDesc[] getOperationsByQName(QName qname)

  Return all operations which match this QName (i.e. get all the overloads)

  Returns:
    null for no match

### setNamespaceMappings

    public void setNamespaceMappings(java.util.List namespaces)

### getDefaultNamespace

    public java.lang.String getDefaultNamespace()

### setDefaultNamespace

    public void setDefaultNamespace(java.lang.String namespace)

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

### getEndpointURL

    public java.lang.String getEndpointURL()

### setEndpointURL

    public void setEndpointURL(java.lang.String endpointURL)

### getTypeMappingRegistry

    public TypeMappingRegistry getTypeMappingRegistry()

### setTypeMappingRegistry

    public void setTypeMappingRegistry(TypeMappingRegistry tmr)

### isInitialized

    public boolean isInitialized()

### isWrapped

    public boolean isWrapped()

  Determine whether or not this is a "wrapped" invocation, i.e. whether the outermost XML element of the "main" body element represents a method call, with the immediate children of that element representing arguments to the method.

  Returns:
    true if this is wrapped (i.e. RPC or WRAPPED style), false otherwise

### getDisallowedMethods

    public java.util.List getDisallowedMethods()

### setDisallowedMethods

    public void setDisallowedMethods(java.util.List disallowedMethods)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.